/*
 * General header file for PIMPPA. Change to suit your needs.
 *
 */

#ifndef P_PROTOH
#define P_PROTOH

// The newsserver you wish to use
#define P_DEFAULT_NNTPSERVER "news.ziwuaj.mmm"

// You shouldn't change these. They are hardcoded to 
// "scripts" and "sql" dirs at the moment.
#define P_USER	"pimppa"
#define P_DBASE "pimppa"

// Picture viewer used by "bowser". The viewer should accept 
// path/filename as command line argument.
#define P_VIEWER "gqview"

// Minimun lenght of filename (before the first dot) to 
// create an assign pattern from. E.g. lenght of "12.jpg" is 2
#define P_MIN_ASS_NAMELENGTH 	4

#define LOCKFILE		"/tmp/pleech.lock"

// Convert all files from news to lowercase
#define TO_LOWERCASE	1 
// Should all files from news have numbers in the filenames?
#define NEEDNUMBER		1
// Should all files from news have a letter in the filenames (before the dot)?
#define NEEDLETTER		1
// Discard files which have spaces in filenames
#define NOSPACE         1

/*********************************************************************/
/* Should be NOTHING to edit below this                              */
/*********************************************************************/

#include "common.h"
#include "paths.h"

// QUERY_MAX should not be made smaller!!! 
#define QUERY_MAX 4096
#define BUFFSIZE 2048

#define P_CP_BUFFSIZE 65536

#define bint unsigned long long

typedef enum
{
	FILE_OFFLINE	=	(1L<<0),		// 1
	FILE_DELETE		=	(1L<<1)         // 2
} FileType;

typedef enum
{
	AREA_NOTRANS	=	(1L<<0),		// 1
	AREA_INCOMING	=	(1L<<1)			// 2
} AreaType;

typedef enum
{
	GROUP_DISABLED	=	(1L<<0)			// 1
} GroupType;

typedef enum
{
	INTEG_NEW = 0,
	INTEG_PASSED = 1,
	INTEG_FAILED = 2,
	INTEG_UNKNOWN = 3
} IntegrityType;

typedef enum
{
	TRANS_NEW		=	0,
	TRANS_PASSED	=	1,
	TRANS_FAILED	=	2,
	TRANS_UNKNOWN	=	3
} TransType;

#define OPT_NAZI			(1L<<0)
#define OPT_VERBOSE			(1L<<1)

#define P_LEN_AREA_NAME		50
#define P_LEN_AREA_PATH		255

#define P_LEN_FILE_NAME		128

#define P_KEY_PBACK			"PBACK_LASTAREA"
#define P_KEY_STATS			"PIMPPA_STATS"
#define P_KEY_NNTPSERVER    "PIMPPA_NNTPSERVER"

#endif
